summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-01-06 09:26:14 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:08:27 -0500
commit365d9ef73d47446c2aaa4f24c970d4e6ec81c20a (patch)
tree1cf5c4b9e6b7ec21161276473c80a88644e6f030 /source4/script
parent7e5523cbe468283d57521e73332ec2561a93d42a (diff)
downloadsamba-365d9ef73d47446c2aaa4f24c970d4e6ec81c20a.tar.gz
samba-365d9ef73d47446c2aaa4f24c970d4e6ec81c20a.tar.bz2
samba-365d9ef73d47446c2aaa4f24c970d4e6ec81c20a.zip
r4560: - fixed crash bugs in the RPC-SCHANNEL and RPC-NETLOGON tests
- disabled the async netlogon tests for now until we better understand async rpc - added a test_w2k3.sh script that runs rpc tests that a w2k3 DC should pass. This is useful for regression testing when PIDL changes are made. (This used to be commit f7d4d3db489ad79457de70a85ad990159f6e74f8)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/test_rpc.sh2
-rwxr-xr-xsource4/script/tests/test_w2k3.sh53
2 files changed, 54 insertions, 1 deletions
diff --git a/source4/script/tests/test_rpc.sh b/source4/script/tests/test_rpc.sh
index 63d22f4083..a1181cab42 100755
--- a/source4/script/tests/test_rpc.sh
+++ b/source4/script/tests/test_rpc.sh
@@ -8,7 +8,7 @@ ncacn_ip_tcp_tests="RPC-SCHANNEL RPC-ECHO"
if [ $# -lt 4 ]; then
cat <<EOF
-Usage: test_echo.sh SERVER USERNAME PASSWORD DOMAIN
+Usage: test_rpc.sh SERVER USERNAME PASSWORD DOMAIN
EOF
exit 1;
fi
diff --git a/source4/script/tests/test_w2k3.sh b/source4/script/tests/test_w2k3.sh
new file mode 100755
index 0000000000..7d9f95a352
--- /dev/null
+++ b/source4/script/tests/test_w2k3.sh
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# tests that should pass against a w2k3 DC, as administrator
+
+# add tests to this list as they start passing, so we test
+# that they stay passing
+ncacn_np_tests="RPC-DSSETUP RPC-EPMAPPER RPC-SAMR RPC-WKSSVC RPC-SRVSVC RPC-EVENTLOG RPC-NETLOGON"
+ncacn_ip_tcp_tests="RPC-EPMAPPER RPC-SAMR RPC-NETLOGON"
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_w2k3.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+testit() {
+ trap "rm -f test.$$" EXIT
+ cmdline="$*"
+ if ! $cmdline > test.$$ 2>&1; then
+ cat test.$$;
+ rm -f test.$$;
+ echo "TEST FAILED - $cmdline";
+ exit 1;
+ fi
+ rm -f test.$$;
+}
+
+for transport in ncacn_ip_tcp ncacn_np; do
+ for bindoptions in connect sign seal validate bigendian; do
+ case $transport in
+ ncacn_np) tests=$ncacn_np_tests ;;
+ ncacn_ip_tcp) tests=$ncacn_ip_tcp_tests ;;
+ esac
+ for t in $tests; do
+ echo Testing $t on $transport with $bindoptions
+ testit bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*"
+ done
+ done
+done
+
+echo Testing RPC-DRSUAPI on ncacn_ip_tcp with seal
+testit bin/smbtorture ncacn_ip_tcp:"$server[seal]" -U"$username"%"$password" -W $domain RPC-DRSUAPI "$*"
+echo Testing RPC-DRSUAPI on ncacn_ip_tcp with seal,bigendian
+testit bin/smbtorture ncacn_ip_tcp:"$server[seal,bigendian]" -U"$username"%"$password" -W $domain RPC-DRSUAPI "$*"
+
+echo "ALL OK";